#! /bin/sh

make > make.out 2> make.err

case $? in
  0) ;;
  *) cat make.out make.err 
     exit 1
     ;;
esac

echo "----------------------------------------------"

echo "Command: frontend -h"
echo ""

frontend -h

echo "----------------------------------------------"

echo "Command: frontend -ab -c -abc -d 5.0 -dbl 10.0 -f < test.txt"
echo ""

frontend -ab -c -abc -d 5.0 -dbl 10.0 -f < test.txt

echo "----------------------------------------------"

echo "Command: frontend -a -b -c -abc -d 5.0 -dbl 10.0 -f < test.txt"
echo ""

frontend -a -b -c -abc -d 5.0 -dbl 10.0 -f < test.txt

echo "----------------------------------------------"

echo "Command: frontend -a -abc -d 5.0 -dbl 10.0 -f test.txt < test.txt"
echo ""

frontend -a -abc -d 5.0 -dbl 10.0 -f test.txt < test.txt

echo "----------------------------------------------"

echo "Command frontend -a -abc -d 5.0 -dbl 10.0 < test.txt"
echo ""

frontend -a -abc -d 5.0 -dbl 10.0 < test.txt

echo "----------------------------------------------"

echo "Command frontend"
echo ""
echo "You might have to type some input here"
echo ""

frontend

echo "----------------------------------------------"

echo "Command: frontend -i 10 -int 20 -s "whosoever" -str "whatsoever" test.txt
test.txt test.txt"
echo ""

frontend -i 10 -int 20 -s "whosoever" -str "whatsoever" test.txt test.txt test.txt

echo "----------------------------------------------"

cat make.out make.err
make veryclean >> make.out 2>> make.err
rm -f make.out make.err
